Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class SuggestLabelCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.SuggestLabelCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class SuggestLabelCommand

extends org.eclipse.emf.edit.command.AbstractOverrideableCommand

If label hasn't been set, creates one based on item provider suggested labels.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`SuggestLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain, java.util.Collection<? extends IID> ids)`
`SuggestLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain, IID id)`
`SuggestLabelCommand(MetaABMItemProvider provider, org.eclipse.emf.edit.domain.EditingDomain domain, IID id)`

Method Summary
`boolean` | `doCanExecute()`
`boolean` | `doCanUndo()`
`void` | `doExecute()`
`void` | `doRedo()`
`void` | `doUndo()`
`java.lang.String` | `suggestID(IID id)`
`java.lang.String` | `suggestLabel(IID id)`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doDispose, doGetAffectedObjects, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, prepare, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### SuggestLabelCommand

    public SuggestLabelCommand(MetaABMItemProvider provider,
                               org.eclipse.emf.edit.domain.EditingDomain domain,
                               IID id)

### SuggestLabelCommand

    public SuggestLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                               IID id)

### SuggestLabelCommand

    public SuggestLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                               java.util.Collection<? extends IID> ids)

Method Detail

### suggestID

    public java.lang.String suggestID(IID id)

### suggestLabel

    public java.lang.String suggestLabel(IID id)

### doCanExecute

    public boolean doCanExecute()

  Specified by:
    `doCanExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanUndo

    public boolean doCanUndo()

  Specified by:
    `doCanUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doRedo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD